@font-face {
  font-family: "Atkinson-Hyperlegible";
  src: url(../navigation/fonts/Atkinson-Hyperlegible/WOFF2/Atkinson-Hyperlegible-Regular-102a.woff2);
}


:root {
    line-height: 1.5;
    word-spacing: 10%;
    --margin: 16px;
    --margin-large: 30px;
    --margin-small: 8px;
    --color-main: #1ea8f0;
    --color-link: #003da5;
    --color-accent: #ffb62f;
    --color-highlight: #9333e2;
}
  
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Atkinson-Hyperlegible", sans-serif;
}
  
body {
  -webkit-font-smoothing: antialiased;
  display: flex;
  flex-direction: column;
  align-items: center;
}
  
img {
  display: block;
  width: 100%;
  height: auto;
  margin: var(--margin) 0 var(--margin) 0;
}
  
p {
  hyphens: auto;
  text-align: justify;
}
  
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: anywhere;
  hyphens: none;
}

h1, h2, h3, h4, h5, h6 {
  text-align: center;
}
  
input, button, textarea, select {
  font: inherit;
}

a,
a:visited {
  color: var(--color-link);
  text-decoration: none;
}

a:hover,
a:active {
  text-decoration: underline;
}

a.black,
a.black:visited,
a.black:active {
  color: black;
  text-decoration: none;
}

a.black:hover {
  text-decoration: underline;
}

a.no-decoration,
a.no-decoration:hover {
  text-decoration: none;
}
  
.main-container {
  width: 100vw;
  max-width: 1100px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr auto 1fr; 
  gap: var(--margin);
  padding: var(--margin-large);
  padding-top: var(--margin-small);
  position: relative;
  overflow: visible;
}

.header {
  grid-area: 1 / 1 / 2 / 3;
  justify-self: start;
}

.header h1 {
  display: flex;
  flex-direction: row;
  gap: var(--margin);
  align-items: center;
}

.header img {
  height: 100px;
  width: auto;
}

.contact {
  grid-area: 1 / 3 / 2 / 5;
  justify-self: end;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.navigation {
  grid-area: 2 / 1 / 3 / 2;
  align-self: start;
  position: sticky;
  top: var(--margin);
}

#burger {
  visibility: hidden;
  height: 0px;
}

.navigation li {
  list-style: none;
  font-weight: bold;
}

.submenu {
  margin-left: var(--margin);
}

.content {
  grid-area: 2 / 2 / 3 / 5;
}

.footer {
  grid-area: 3 / 1 / 4 / 5;
  margin-top: var(--margin-large);
}

.footer * {
  text-align: center;
}

.icon {
  height: 30px;
  width: auto;
}

.social-icons {
  display: flex;
  flex-direction: row;
  gap: var(--margin-small);
}

.thumbnail {
  height: 150px;
  width: auto;
  margin: 0px;
}

.row-banner {
  display: grid;
  grid-template-columns: 250px auto;
  gap: var(--margin-small);
  margin-top: var(--margin);
  margin-bottom: var(--margin);
}

.row-banner h3 {
  text-align: left;
}

.row-banner > a {
  justify-self: center;
}

.categories-and-tags {
  margin-top: var(--margin);
  display: flex;
  flex-wrap: wrap;
  gap: var(--margin-small);
}

.categories-and-tags-list {
  display: flex;
  flex-wrap: wrap;
  gap: var(--margin-small);
  justify-content: center;
}

.category,
a.category {
  color: white;
  background-color: var(--color-main);
  padding: var(--margin-small);
  border-radius: var(--margin-small);
  word-break: break-all;
  font-size: small;
}

.tag,
a.tag {
  color: white;
  background-color: var(--color-highlight);
  padding: var(--margin-small);
  border-radius: var(--margin-small);
  word-break: break-all;
  font-size: small;
}

.banner-info {
  color: white;
  background-color: var(--color-highlight);
  padding: var(--margin-small);
  border-radius: var(--margin-small);
  margin-top: var(--margin-large);
}

.about-block {
  display: flex;
  flex-wrap: wrap;
}

.about-block div {
  width: 60%;
  min-width: 30ch;
}

.about-block img {
  width: 35%;
  height: fit-content;
  margin-left: auto;
  margin-top: 0px;
}

.divider {
  background-color: var(--color-main);
  width: 100%;
  height: 2px;
  margin-top: var(--margin);
}

.invisible-divider {
  margin-bottom: var(--margin-large);
}

.centered {
  text-align: center;
  margin-top: var(--margin-small);
  margin-bottom: var(--margin);
}

.centered * {
  text-align: center;
}

.small-button {
  font-size: small;
  background-color: var(--color-accent);
  padding: var(--margin-small);
  border-radius: var(--margin-small);
}

.narrow-list {
  width: 100%;
  text-wrap: wrap;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: var(--margin-small);
  list-style-type: none;
  text-align: center;
}

@media (max-width: 600px) {
  .main-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .header {

  }

  .contact {

  }

  .navigation {
    position: absolute;
    top: var(--margin);
    width: 100%;
  }

  #burger {
    visibility: visible;
    font-size: xx-large;
    height: auto;
    position: fixed;
    right: var(--margin-large);
  }

  #nav {
    visibility: hidden;
  }

  #nav.active {
    visibility: visible;
    background-color: white;
    height: 100vh;
  }

  .content {

  }
  
  .footer {

  }
}